/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/graphql/gql/s-pool-query.gql":
/*!******************************************!*\
  !*** ./src/graphql/gql/s-pool-query.gql ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ("query($poolId: Int!) {\n  pool(id: $poolId) {\n    street_number\n    full_address\n    short_address\n    available_address\n    amenities {\n      premium\n      name\n      image\n      id\n      icon\n      category\n      active\n    }\n    availabilityResumesAt\n    availability_window\n    advance_notice\n    additional_rules\n    additional_premium_ameneties {\n      amenity {\n        active\n        category\n        icon\n        id\n        image\n        name\n        premium\n      }\n      description\n      enable\n      id\n      is_pending_approval\n      main_category\n      pool_id\n      price_amount\n      price_type\n      square_footage\n      title\n    }\n    additional_amenities\n    access_photos {\n      image_url\n    }\n    accepted_good_neighbor_terms\n    available_date_from_with_notice\n    available_days\n    available_from\n    available_time_from_with_notice\n    available_to\n    be_home_other_message\n    bookings {\n      to\n      swimmer {\n        img_url\n      }\n      status\n      id\n      from\n      discount_first_bookings_used\n      date\n    }\n    calculatedHourlyPrice\n    calculated_per_guest_price\n    can_send_fans_message\n    can_update_insurance\n    cancellation_policy {\n      discount\n      hours\n      id\n      description\n      color\n      active\n    }\n    cancellation_policy_id\n    city\n    createdBy {\n      firstname\n      email_verified_at\n      email\n      formatted_name\n      lastname\n      phone_number\n      mobile_number\n      mobile_number_verified_at\n      zipcode\n      facebook_id\n    }\n    created_at\n\n    deep_end\n    custom_listing_type\n    default_instant_booking\n    description\n    discount_days {\n      discount_percentage\n      day_number\n    }\n    distance\n    discount_first_bookings\n    guest_leads\n    guests_children_allowed\n    guests_infants_allowed\n    guests_pets_allowed\n    hour_from\n    hour_to\n    hourly_price\n    id\n    images {\n      url\n    }\n    instant_booking\n    instant_group_size\n    isAvailable\n    isInSeason\n    is_added_discount\n    is_covered_by_insurance\n    is_discount_first_bookings_available\n    is_security_cameras\n    is_verified\n    is_vip\n    last_step\n    latitude\n    latitude_round\n    listing_type\n    longitude\n    longitude_round\n    max_guests\n    max_step\n    zip_code\n    water_system\n    unavailable_dates\n    total_fans\n    title\n    tips {\n      images {\n        medium\n        small\n        large\n      }\n      description\n    }\n    min_booking_length\n    min_buffer_time\n    months {\n      is_available\n      month_number\n    }\n    time_zone\n    swimply_covers_multidip_discount\n    successfulBookingCount\n    status_name\n    status\n    state\n    special_access_instruction\n    space_size\n    shallow_end\n    seasonResumesAt\n    rules {\n      name\n      id\n      icon\n      active\n    }\n    months_count\n    multi_discount {\n      type\n      discount\n      bookings_number\n    }\n    one_time_guests\n    number_of_parking_spaces\n    multi_discount_max\n    other_furniture\n    owner_verifications {\n      successful_booking\n      pool_proof_url\n      passport_drive_url\n      img_proof_approved\n      img_id_approved\n    }\n    owner_verifications_private {\n      successful_booking\n      pool_proof_url\n      passport_drive_url\n      img_proof_approved\n      img_id_approved\n    }\n    parking_context\n    pause_end\n    pause_start\n    pool_booking_available_date_count\n    pool_booking_available_time_count\n    pool_booking_successful_count\n    pool_furniture {\n      persons_number\n      item_amount\n      furniture {\n        question\n        name\n        image\n        id\n        icon\n        active\n      }\n    }\n    pool_instant {\n      time\n      date\n    }\n    pool_length\n    pool_type\n    pool_unavailabilities {\n      time\n      date\n    }\n    pool_unavailability_days_count\n    pool_unavailability_time_count\n    pool_unavailability_time_low_count\n    pool_width\n    premium_amenities {\n      title\n      square_footage\n      price_type\n      price_amount\n      pool_id\n      main_category\n      is_pending_approval\n      id\n      enable\n      description\n      amenity {\n        active\n        category\n        icon\n        id\n        image\n        name\n        premium\n      }\n    }\n    price_per_guest\n    price_per_guest_enabled\n    price_per_guest_min_capacity\n    price_tiers {\n      title\n      min_guests\n      max_guests\n      listing_price {\n        price\n        updated_at\n        created_at\n      }\n      default_price\n      id\n    }\n    privacy_id\n    privacy_policy {\n      title\n      id\n      description\n    }\n    rating\n    repeat_guests\n    reservation_be_home\n    restroom_access\n    restroom_access_type\n    restroom_description\n    reviews {\n      rating\n      id\n      created_at\n      commented_by_private {\n        firstname\n        date_birthday\n        country\n        country_code\n        created_at\n        created_at_year\n        facebook_id\n        phone_number\n        isAnyPool\n        rating\n        description\n      }\n    }\n    reviewsCount\n  }\n}");

/***/ }),

/***/ "./src/cache.ts":
/*!**********************!*\
  !*** ./src/cache.ts ***!
  \**********************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
class CacheKeys {
    constructor() {
        // current keys used.
        this._currentKeys = [];
    }
    push(i) {
        this._currentKeys.push(i);
    }
    printDetails() {
        if (this._currentKeys.length > 0) {
            console.log('--MISSED KEYS');
            console.log(JSON.stringify(this._currentKeys));
        }
    }
}
// Export singleton for use by loader and plugin.
exports["default"] = new CacheKeys();


/***/ }),

/***/ "./src/config/env-config.ts":
/*!**********************************!*\
  !*** ./src/config/env-config.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.config = void 0;
const envalid_1 = __webpack_require__(/*! envalid */ "envalid");
exports.config = (0, envalid_1.cleanEnv)(process.env, {
    S_AUTHORIZATION_HEADER: (0, envalid_1.str)(),
    S_GRAPHQL_URL: (0, envalid_1.str)(),
    S_START_SEQ: (0, envalid_1.num)(),
    S_END_SEQ: (0, envalid_1.num)(),
    MONGO_URL: (0, envalid_1.str)({ devDefault: 'mongodb://localhost:27017/S_MARKET' }),
});


/***/ }),

/***/ "./src/config/index.ts":
/*!*****************************!*\
  !*** ./src/config/index.ts ***!
  \*****************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
__exportStar(__webpack_require__(/*! ./env-config */ "./src/config/env-config.ts"), exports);


/***/ }),

/***/ "./src/nodeFetch.ts":
/*!**************************!*\
  !*** ./src/nodeFetch.ts ***!
  \**************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.fetchData = void 0;
// import fetch from 'isomorphic-fetch';
const node_fetch_1 = __importDefault(__webpack_require__(/*! node-fetch */ "node-fetch"));
const cache_1 = __importDefault(__webpack_require__(/*! ./cache */ "./src/cache.ts"));
async function fetchData(graphqlUrl, token, query, variables = {}) {
    const res = await (0, node_fetch_1.default)(graphqlUrl, {
        method: "POST",
        headers: {
            "Content-Type": "application/json",
            'Authorization': `Bearer ${token}`,
        },
        body: JSON.stringify({ query, variables }),
        redirect: 'follow',
    }).catch((err) => console.log(err.message));
    if (res) {
        try {
            const data = await res.json();
            return data;
        }
        catch (err) {
            cache_1.default.push(variables.poolId || variables.userId);
            console.log('--errr', err);
            console.log('-data---', res);
        }
    }
    return {};
}
exports.fetchData = fetchData;


/***/ }),

/***/ "./src/pool.ts":
/*!*********************!*\
  !*** ./src/pool.ts ***!
  \*********************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {


var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
const dotenv = __importStar(__webpack_require__(/*! dotenv */ "dotenv"));
__webpack_require__(/*! reflect-metadata */ "reflect-metadata");
const cache_1 = __importDefault(__webpack_require__(/*! ./cache */ "./src/cache.ts"));
if (process.env.ENV_FILE) {
    dotenv.config({ path: process.env.ENV_FILE });
}
// @ts-ignore
const s_pool_query_gql_1 = __importDefault(__webpack_require__(/*! ./graphql/gql/s-pool-query.gql */ "./src/graphql/gql/s-pool-query.gql"));
const nodeFetch_1 = __webpack_require__(/*! ./nodeFetch */ "./src/nodeFetch.ts");
const config_1 = __webpack_require__(/*! ./config */ "./src/config/index.ts");
const curd_insert_1 = __webpack_require__(/*! ./store/curd-insert */ "./src/store/curd-insert.ts");
const initial = config_1.config.S_START_SEQ;
const final = config_1.config.S_END_SEQ;
const startJob = async () => {
    var _a;
    console.time("dbsave");
    try {
        await curd_insert_1.mongoClient.connect();
        const db = curd_insert_1.mongoClient.db('S_DATA');
        const coll = db.collection('pool');
        for (let i = initial; i < final; i++) {
            const data = await (0, nodeFetch_1.fetchData)(config_1.config.S_GRAPHQL_URL, config_1.config.S_AUTHORIZATION_HEADER, s_pool_query_gql_1.default, { poolId: i });
            // console.log('---data---', await data);
            // const data = { name: "Halley's Comet", officialName: "1P/Halley", orbitalPeriod: 75, radius: 3.4175, mass: 2.2e14 };
            const poolData = (_a = data === null || data === void 0 ? void 0 : data.data) === null || _a === void 0 ? void 0 : _a.pool;
            if (poolData)
                await coll.insertOne(poolData);
        }
    }
    finally {
        console.log('imported with missing ones as follow');
        cache_1.default.printDetails();
        await curd_insert_1.mongoClient.close();
        console.timeEnd("dbsave");
    }
};
startJob().catch(console.dir);


/***/ }),

/***/ "./src/store/curd-insert.ts":
/*!**********************************!*\
  !*** ./src/store/curd-insert.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.mongoClient = void 0;
const mongodb_1 = __webpack_require__(/*! mongodb */ "mongodb");
const config_1 = __webpack_require__(/*! ../config */ "./src/config/index.ts");
const mongoClient = new mongodb_1.MongoClient(config_1.config.MONGO_URL);
exports.mongoClient = mongoClient;


/***/ }),

/***/ "dotenv":
/*!*************************!*\
  !*** external "dotenv" ***!
  \*************************/
/***/ ((module) => {

module.exports = require("dotenv");

/***/ }),

/***/ "envalid":
/*!**************************!*\
  !*** external "envalid" ***!
  \**************************/
/***/ ((module) => {

module.exports = require("envalid");

/***/ }),

/***/ "mongodb":
/*!**************************!*\
  !*** external "mongodb" ***!
  \**************************/
/***/ ((module) => {

module.exports = require("mongodb");

/***/ }),

/***/ "node-fetch":
/*!*****************************!*\
  !*** external "node-fetch" ***!
  \*****************************/
/***/ ((module) => {

module.exports = require("node-fetch");

/***/ }),

/***/ "reflect-metadata":
/*!***********************************!*\
  !*** external "reflect-metadata" ***!
  \***********************************/
/***/ ((module) => {

module.exports = require("reflect-metadata");

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__("./src/pool.ts");
/******/ 	module.exports = __webpack_exports__;
/******/ 	
/******/ })()
;
//# sourceMappingURL=pool.js.map